Subject: bug#66375: 30.0.50; (error "Maximum buffer size exceeded") from (insert-file-contents "/dev/null")

From: Sam Steingold <[email-masked]>
Date: Sun, 15 Oct 2023 11:43:24 -0400

I am not sure what you mean here, sorry.
I am unable to use Gnus because of this new bug.

On Mon, 9 Oct 2023 at 06:57, Eli Zaretskii <[email-masked]> wrote:
>
> > From: Sam Steingold <[email-masked]>
> > Date: Sun, 8 Oct 2023 21:57:02 -0400
> > Cc: Po Lu <[email-masked]>, Paul Eggert <[email-masked]>, [email-masked]
> >
> > On Sat, 7 Oct 2023 at 01:54, Eli Zaretskii <[email-masked]> wrote:
> > >
> > > > From: Sam Steingold <[email-masked]>
> > > > Date: Fri, 06 Oct 2023 13:11:35 -0400
> > > > emacs -Q
> > > >
> > > > (insert-file-contents "/dev/null")
> > > > ==>
> > > > Debugger entered--Lisp error: (error "Maximum buffer size exceeded")
> > > >   insert-file-contents("/dev/null")
> > >
> > > This is a "feature".
> >
> > this is new behavior.
> > I used /dev/null as "empty gnu score file since forever"
>
> You still can do that, you just need to use a non-nil END argument.
>
> And maybe we will find a better solution.

-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net>
<http://steingoldpsychology.com>